### Type parameters

- #### T

### Hierarchy

- Vector

### Indexable

[index: number]: T

## Index

### Constructors

- constructor

### Properties

- fixed
- length
- next

### Methods

- concat
- copy
- get
- indexOf
- insertAt
- join
- lastIndexOf
- pop
- push
- removeAt
- reverse
- set
- shift
- slice
- sort
- splice
- unshift
- ofArray

## Constructors

### constructor

- new Vector(length?: number, fixed?: boolean): Vector

- - Defined in lib/openfl/Vector.d.ts:8

  #### Parameters

  - ##### Optional length: number

  - ##### Optional fixed: boolean

  #### Returns Vector

## Properties

### fixed

fixed: boolean

- Defined in lib/openfl/Vector.d.ts:7

### length

length: number

- Defined in lib/openfl/Vector.d.ts:8

### next

next: T

- Defined in lib/openfl/Vector.d.ts:32

## Methods

### concat

- concat(a?: Vector<T>): Vector<T>

- - Defined in lib/openfl/Vector.d.ts:12

  #### Parameters

  - ##### Optional a: Vector<T>

  #### Returns Vector<T>

### copy

- copy(): Vector<T>

- - Defined in lib/openfl/Vector.d.ts:13

  #### Returns Vector<T>

### get

- get(index: number): T

- - Defined in lib/openfl/Vector.d.ts:14

  #### Parameters

  - ##### index: number

  #### Returns T

### indexOf

- indexOf(x: T, from?: number): number

- - Defined in lib/openfl/Vector.d.ts:15

  #### Parameters

  - ##### x: T

  - ##### Optional from: number

  #### Returns number

### insertAt

- insertAt(index: number, element: T): void

- - Defined in lib/openfl/Vector.d.ts:16

  #### Parameters

  - ##### index: number

  - ##### element: T

  #### Returns void

### join

- join(sep: string): string

- - Defined in lib/openfl/Vector.d.ts:17

  #### Parameters

  - ##### sep: string

  #### Returns string

### lastIndexOf

- lastIndexOf(x: T, from?: number): number

- - Defined in lib/openfl/Vector.d.ts:18

  #### Parameters

  - ##### x: T

  - ##### Optional from: number

  #### Returns number

### pop

- pop(): null | T

- - Defined in lib/openfl/Vector.d.ts:19

  #### Returns null | T

### push

- push(x: T): number

- - Defined in lib/openfl/Vector.d.ts:20

  #### Parameters

  - ##### x: T

  #### Returns number

### removeAt

- removeAt(index: number): T

- - Defined in lib/openfl/Vector.d.ts:21

  #### Parameters

  - ##### index: number

  #### Returns T

### reverse

- reverse(): Vector<T>

- - Defined in lib/openfl/Vector.d.ts:22

  #### Returns Vector<T>

### set

- set(index: number, value: T): T

- - Defined in lib/openfl/Vector.d.ts:23

  #### Parameters

  - ##### index: number

  - ##### value: T

  #### Returns T

### shift

- shift(): null | T

- - Defined in lib/openfl/Vector.d.ts:24

  #### Returns null | T

### slice

- slice(pos?: number, end?: number): Vector<T>

- - Defined in lib/openfl/Vector.d.ts:25

  #### Parameters

  - ##### Optional pos: number

  - ##### Optional end: number

  #### Returns Vector<T>

### sort

- sort(f: function): void

- - Defined in lib/openfl/Vector.d.ts:26

  #### Parameters

  - ##### f: function

    - - (a: T, b: T): number

      - #### Parameters

        - ##### a: T

        - ##### b: T

        #### Returns number

  #### Returns void

### splice

- splice(pos: number, len: number): Vector<T>

- - Defined in lib/openfl/Vector.d.ts:27

  #### Parameters

  - ##### pos: number

  - ##### len: number

  #### Returns Vector<T>

### unshift

- unshift(x: T): void

- - Defined in lib/openfl/Vector.d.ts:28

  #### Parameters

  - ##### x: T

  #### Returns void

### Static ofArray

- ofArray<T>(a: Array<T>): Vector<T>

- - Defined in lib/openfl/Vector.d.ts:29

  #### Type parameters

  - #### T

  #### Parameters

  - ##### a: Array<T>

  #### Returns Vector<T>

Generated using TypeDoc